Subject: [alpine-aports] [PATCH] testing/libva-vdpau-driver: new aport

From: Sören Tempel <[email-masked]>
Date: Sat, 12 Nov 2016 22:55:21 +0100

---
 testing/libva-vdpau-driver/APKBUILD                | 61 ++++++++++++++++++++++
 ...vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch | 29 ++++++++++
 ...pau-driver-0.7.4-glext-missing-definition.patch | 16 ++++++
 .../libva-vdpau-driver-0.7.4-libvdpau-0.8.patch    | 11 ++++
 testing/libva-vdpau-driver/musl-fixes.patch        | 11 ++++
 5 files changed, 128 insertions(+)
 create mode 100644 testing/libva-vdpau-driver/APKBUILD
 create mode 100644 testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch
 create mode 100644 testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-glext-missing-definition.patch
 create mode 100644 testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-libvdpau-0.8.patch
 create mode 100644 testing/libva-vdpau-driver/musl-fixes.patch

diff --git a/testing/libva-vdpau-driver/APKBUILD b/testing/libva-vdpau-driver/APKBUILD
new file mode 100644
index 0000000..86b736c
--- /dev/null
+++ b/testing/libva-vdpau-driver/APKBUILD
@@ -0,0 +1,61 @@
+# Contributor: Sören Tempel <[email-masked]>
+# Maintainer:
+pkgname=libva-vdpau-driver
+pkgver=0.7.4
+pkgrel=0
+pkgdesc="VDPAU backend for VA API"
+url="http://freedesktop.org/wiki/Software/vaapi"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="libva-dev mesa-dev libvdpau-dev"
+install=""
+subpackages=""
+source="https://freedesktop.org/software/vaapi/releases/$pkgname/$pkgname-$pkgver.tar.bz2
+	libva-vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch
+	libva-vdpau-driver-0.7.4-glext-missing-definition.patch
+	libva-vdpau-driver-0.7.4-libvdpau-0.8.patch
+	musl-fixes.patch"
+builddir="$srcdir/$pkgname-$pkgver"
+
+prepare() {
+	default_prepare || return 1
+
+	cd "$builddir"
+	update_config_sub || return 1
+}
+
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="5ec6d452d2dd307434ea3d32da49c3e5  libva-vdpau-driver-0.7.4.tar.bz2
+4783c9fb3b1514d7a0903d137fa55428  libva-vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch
+9870efaad0bbf4e28e6ffcff331a7a46  libva-vdpau-driver-0.7.4-glext-missing-definition.patch
+1832517ead98e0e27268fc78594e18ce  libva-vdpau-driver-0.7.4-libvdpau-0.8.patch
+9492bbdebbec88c624e0089295141bfd  musl-fixes.patch"
+sha256sums="155c1982f0ac3f5435ba20b221bcaa11be212c37db548cd1f2a030ffa17e9bb9  libva-vdpau-driver-0.7.4.tar.bz2
+1ae32b8e5cca1717be4a63f09e8c6bd84a3e9b712b933816cdb32bb315dbda98  libva-vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch
+776bfe4c101cdde396d8783029b288c6cd825d0cdbc782ca3d94a5f9ffb4558c  libva-vdpau-driver-0.7.4-glext-missing-definition.patch
+5e567b026b97dc0e207b6c05410cc1b7b77a58ceb5046801d0ea1a321cba3b9d  libva-vdpau-driver-0.7.4-libvdpau-0.8.patch
+06a70de12b9dfdaac05dd593ca6991c98538683c5921bb15fd90246f46bb40a1  musl-fixes.patch"
+sha512sums="89f98dc1d7d590fb68f440dd1e37e025d64a621324e013e85dd1367681c07b09132fd2089539fc5b48934624648887a8a97539b4f07ddf9f56a8a456ad030094  libva-vdpau-driver-0.7.4.tar.bz2
+f60e84f88eca17e762e3d5a53404d0215bca27051c02ff3e4441ad2c2897c0c04297b8e7b4693c37404bde95d7b5d7a6392b4c17ab1ece5f1bd78e6af376b301  libva-vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch
+5be5b00e3bc6df790bf1f0cde9606053ef70ee3c36f97dd1ba2eaa38251ce86124586a34c5e3d7fc20c331f9894b23ec22e7ae9d007aa15940221f2547ee64ee  libva-vdpau-driver-0.7.4-glext-missing-definition.patch
+0890112bed4013de70272972be14f608b22935938160f65a2165cca715c1e8ec7e8c92c5b5c66c655932d1adbaf0aad2f979f0d541890daee385e544a6890f82  libva-vdpau-driver-0.7.4-libvdpau-0.8.patch
+1152b2b9a6c33a5216757d41bbbb849e291066cfbd2a3657aad0e430544fc6e9020477ba66ef1178841d3321b28055510dd06a40f59cdc8f10b5651305d17014  musl-fixes.patch"
diff --git a/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch b/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch
new file mode 100644
index 0000000..74caee3
--- /dev/null
+++ b/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-VAEncH264VUIBufferType.patch
@@ -0,0 +1,29 @@
+>From fda3706eb74ba5ad874853969f3df3e372739c8d Mon Sep 17 00:00:00 2001
+From: "Xiang, Haihao" <[email-masked]>
+Date: Fri, 21 Jun 2013 12:55:30 +0800
+Subject: [PATCH] VAEncH264VUIBufferType and VAEncH264SEIBufferType are
+ dropped from VA API
+
+The driver doesn't use them indeed
+
+Signed-off-by: Xiang, Haihao <[email-masked]>
+---
+ src/vdpau_dump.c |    2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/src/vdpau_dump.c b/src/vdpau_dump.c
+index 899888b..610e7cd 100644
+--- a/src/vdpau_dump.c
++++ b/src/vdpau_dump.c
+@@ -59,8 +59,6 @@ const char *string_of_VABufferType(VABufferType type)
+         _(VAEncSequenceParameterBufferType);
+         _(VAEncPictureParameterBufferType);
+         _(VAEncSliceParameterBufferType);
+-        _(VAEncH264VUIBufferType);
+-        _(VAEncH264SEIBufferType);
+ #endif
+ #if VA_CHECK_VERSION(0,31,1)
+         _(VAQMatrixBufferType);
+-- 
+1.7.9.5
+
diff --git a/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-glext-missing-definition.patch b/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-glext-missing-definition.patch
new file mode 100644
index 0000000..b56d268
--- /dev/null
+++ b/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-glext-missing-definition.patch
@@ -0,0 +1,16 @@
+--- a/src/utils_glx.h~	2012-10-05 16:02:58.000000000 +0100
++++ b/src/utils_glx.h	2012-10-19 08:44:12.469642440 +0100
+@@ -48,6 +48,13 @@
+ typedef void (*PFNGLXRELEASETEXIMAGEEXTPROC)(Display *, GLXDrawable, int);
+ #endif
+ 
++#if GL_GLEXT_VERSION >= 85
++/* XXX: PFNGLMULTITEXCOORD2FPROC got out of the GL_VERSION_1_3_DEPRECATED
++   block and is not defined if GL_VERSION_1_3 is defined in <GL/gl.h>
++   Redefine the type here as an interim solution */
++typedef void (*PFNGLMULTITEXCOORD2FPROC) (GLenum target, GLfloat s, GLfloat t);
++#endif
++                    
+ #ifndef GL_FRAMEBUFFER_BINDING
+ #define GL_FRAMEBUFFER_BINDING GL_FRAMEBUFFER_BINDING_EXT
+ #endif
diff --git a/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-libvdpau-0.8.patch b/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-libvdpau-0.8.patch
new file mode 100644
index 0000000..ab3a479
--- /dev/null
+++ b/testing/libva-vdpau-driver/libva-vdpau-driver-0.7.4-libvdpau-0.8.patch
@@ -0,0 +1,11 @@
+--- a/src/vdpau_decode.c
++++ b/src/vdpau_decode.c
+@@ -1289,7 +1289,7 @@
+             driver_data,
+             obj_context->vdp_decoder,
+             obj_surface->vdp_surface,
+-            (VdpPictureInfo)&obj_context->vdp_picture_info,
++            (VdpPictureInfo *)&obj_context->vdp_picture_info,
+             obj_context->vdp_bitstream_buffers_count,
+             obj_context->vdp_bitstream_buffers
+         );
diff --git a/testing/libva-vdpau-driver/musl-fixes.patch b/testing/libva-vdpau-driver/musl-fixes.patch
new file mode 100644
index 0000000..d7f6532
--- /dev/null
+++ b/testing/libva-vdpau-driver/musl-fixes.patch
@@ -0,0 +1,11 @@
+diff -upr libva-vdpau-driver-0.7.4.orig/src/utils.c libva-vdpau-driver-0.7.4/src/utils.c
+--- libva-vdpau-driver-0.7.4.orig/src/utils.c	2016-11-12 22:47:31.377199801 +0100
++++ libva-vdpau-driver-0.7.4/src/utils.c	2016-11-12 22:48:09.130062386 +0100
+@@ -21,6 +21,7 @@
+ #include "sysdeps.h"
+ #include "utils.h"
+ #include <time.h>
++#include <sys/time.h>
+ #include <errno.h>
+ 
+ #define DEBUG 1
-- 
2.10.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---